package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallSchoolAppraiseClassMapper;
import com.ruoyi.mall.domain.MallSchoolAppraiseClass;
import com.ruoyi.mall.service.IMallSchoolAppraiseClassService;

/**
 * 评估分类Service业务层处理
 *
 * @author lsm
 * @date 2023-10-19
 */
@Service
public class MallSchoolAppraiseClassServiceImpl implements IMallSchoolAppraiseClassService
{
    @Autowired
    private MallSchoolAppraiseClassMapper mallSchoolAppraiseClassMapper;

    /**
     * 查询评估分类
     *
     * @param appraiseClassId 评估分类主键
     * @return 评估分类
     */
    @Override
    public MallSchoolAppraiseClass selectMallSchoolAppraiseClassByAppraiseClassId(Long appraiseClassId)
    {
        return mallSchoolAppraiseClassMapper.selectMallSchoolAppraiseClassByAppraiseClassId(appraiseClassId);
    }

    /**
     * 查询评估分类列表
     *
     * @param mallSchoolAppraiseClass 评估分类
     * @return 评估分类
     */
    @Override
    public List<MallSchoolAppraiseClass> selectMallSchoolAppraiseClassList(MallSchoolAppraiseClass mallSchoolAppraiseClass)
    {
        return mallSchoolAppraiseClassMapper.selectMallSchoolAppraiseClassList(mallSchoolAppraiseClass);
    }

    /**
     * 新增评估分类
     *
     * @param mallSchoolAppraiseClass 评估分类
     * @return 结果
     */
    @Override
    public int insertMallSchoolAppraiseClass(MallSchoolAppraiseClass mallSchoolAppraiseClass)
    {
        return mallSchoolAppraiseClassMapper.insertMallSchoolAppraiseClass(mallSchoolAppraiseClass);
    }

    /**
     * 修改评估分类
     *
     * @param mallSchoolAppraiseClass 评估分类
     * @return 结果
     */
    @Override
    public int updateMallSchoolAppraiseClass(MallSchoolAppraiseClass mallSchoolAppraiseClass)
    {
        return mallSchoolAppraiseClassMapper.updateMallSchoolAppraiseClass(mallSchoolAppraiseClass);
    }

    /**
     * 批量删除评估分类
     *
     * @param appraiseClassIds 需要删除的评估分类主键
     * @return 结果
     */
    @Override
    public int deleteMallSchoolAppraiseClassByAppraiseClassIds(Long[] appraiseClassIds)
    {
        return mallSchoolAppraiseClassMapper.deleteMallSchoolAppraiseClassByAppraiseClassIds(appraiseClassIds);
    }

    /**
     * 删除评估分类信息
     *
     * @param appraiseClassId 评估分类主键
     * @return 结果
     */
    @Override
    public int deleteMallSchoolAppraiseClassByAppraiseClassId(Long appraiseClassId)
    {
        return mallSchoolAppraiseClassMapper.deleteMallSchoolAppraiseClassByAppraiseClassId(appraiseClassId);
    }

    /**
     * 评估分类列表
     * @return 结果
     */
    @Override
    public List<MallSchoolAppraiseClass> selectAppraiseClassList() {
        return mallSchoolAppraiseClassMapper.selectAppraiseClassList();
    }
}
